using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static bool proveri(int a,int b, int[] niz)
        {
            bool bo=true;
            for(int i = a; i < b && bo; i++) {
                Console.Write(niz[i]);
                if (!(niz[i] < niz[i+1]))
                {
                    bo= false;
                }
            }
            Console.WriteLine();
            return bo;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] niz = Array.ConvertAll(Console.ReadLine().Split(' '),int.Parse);
            int br = int.Parse(Console.ReadLine());

            for(int i = 0; i < br; i++)
            {
                int[] unos= Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
                if(proveri(unos[0]-1, unos[1] - 1, niz))
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
            }
        }
    }
}